package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.primary.TagRule;
import com.liangjian.dataplatform.member.entity.vo.TagRuleVo;
import org.springframework.data.domain.Page;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/9 15:08
 */
public interface ITagRuleService {

    /**
     * 分页查询
     * @param object
     * @param name
     * @param isJobActive
     * @param page
     * @param size
     * @return
     */
    Page<TagRuleVo> queryByCondition(Integer object, String name, Boolean isJobActive, Integer page, Integer size);

    /**
     * 添加标签规则
     * @param vo
     * @return
     */
    boolean addTagRule(TagRuleVo vo);

    /**
     * 修改标签规则
     * @param vo
     * @return
     */
    boolean saveTagRule(TagRuleVo vo);

    /**
     * 删除标签规则
     * @param id
     * @return
     */
    boolean deleteTagRule(String id);

    /**
     * 獲取已開啟任務
     */
    Page<TagRule> queryByTagList(Integer page, Integer size);
}
